Subject: Re: bug#34341: 26.1; url-retrieve-synchronously returns blank buffer

From: Noam Postavsky <[email-masked]>
Date: Mon, 13 May 2019 20:21:46 -0400

tags 34341 fixed
close 34341 26.3
quit

Robert Pluim <[email-masked]> writes:

>     Noam> I found this smaller change fixes it also.  Is it simple
>     Noam> enough to for emacs-26?  Otherwise, we should set
>     Noam> gnutls-algorithm-priority because (as far as I understand)
>     Noam> we have a broken TLS1.3 implementation at the momement.
>
> That patch to src/gnutls.c fixes my testcase, which is imap over
> TLS1.3 to gmail.

Okay, good, it's not just me then. :)

I think this patch is going to get more important over time, as more
people upgrade gnutls versions, and more servers start supporting
TLS1.3.

Pushed to emacs-26.

202ff53da2 2019-05-13T20:15:31-04:00 "Handle GNUTLS_E_AGAIN in emacs_gnutls_read (Bug#34341)"
https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=202ff53da267f9fa15f438e9c38603bbead6e890